﻿using System;
using System.IO;

public partial class Banner : System.Web.UI.UserControl
{
    private const string PreStart = "<body oncontextmenu='return false;'><pre name='code' class='c-sharp:nocontrols'>";
    private const string PreEnd = "</pre><link type='text/css' rel='stylesheet' href='../Resources/SyntaxHighlighter/SyntaxHighlighter.css'></link><script language='javascript' src='../Resources/SyntaxHighlighter/shCore.js'></script><script language='javascript' src='../Resources/SyntaxHighlighter/shBrushCSharp.js'></script><script language='javascript' src='../Resources/SyntaxHighlighter/shBrushXml.js'></script><script language='javascript'>dp.SyntaxHighlighter.HighlightAll('code');</script></body>";
    private const string ErrorPageUrl = "~/Source Code Not Available in Beta.html";

    protected void Page_Load(object sender, EventArgs e)
    {
        string filename = "Sample.aspx.cs";
        string htmlFileName = filename.Replace(".cs", ".htm");
        if (File.Exists(htmlFileName))
        {
            return;
        }

        string text;
        try
        {
            using (StreamReader sr = new StreamReader(Server.MapPath(filename)))
            {
                text = sr.ReadToEnd();
            }
            text = PreStart + text + PreEnd;

            using (StreamWriter sw = new StreamWriter(Server.MapPath(htmlFileName)))
            {
                sw.Write(text);
            }
        }
        catch
        {
            htmlFileName = ErrorPageUrl;
        }
        return;
    }
}
